org.springframework.web.reactive.config

## Class ViewResolverRegistry

- java.lang.Object
- - org.springframework.web.reactive.config.ViewResolverRegistry

    public class ViewResolverRegistry
    extends Object

Assist with the configuration of a chain of `ViewResolver`'s supporting different template mechanisms.

In addition, you can also configure `defaultViews` for rendering according to the requested content type, e.g. JSON, XML, etc.

Since:
  5.0
Author:
  Rossen Stoyanchev, Sebastien Deleuze

### Constructor Summary

Constructors
Constructor and Description
`ViewResolverRegistry(org.springframework.context.ApplicationContext applicationContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `defaultViews(View... defaultViews)` Set default views associated with any view name and selected based on the best match for the requested content type.
`UrlBasedViewResolverRegistration` `freeMarker()` Register a `FreeMarkerViewResolver` with a ".ftl" suffix.
`protected List<View>` `getDefaultViews()`
`protected int` `getOrder()`
`protected List<ViewResolver>` `getViewResolvers()`
`boolean` `hasRegistrations()` Whether any view resolvers have been registered.
`void` `order(int order)` Set the order for the `ViewResolutionResultHandler`.
`UrlBasedViewResolverRegistration` `scriptTemplate()` Register a script template view resolver with an empty default view name prefix and suffix.
`void` `viewResolver(ViewResolver viewResolver)` Register a `ViewResolver` bean instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewResolverRegistry

    public ViewResolverRegistry(@Nullable
                                org.springframework.context.ApplicationContext applicationContext)

### Method Detail

#### freeMarker

    public UrlBasedViewResolverRegistration freeMarker()

Register a `FreeMarkerViewResolver` with a ".ftl" suffix.

Note that you must also configure FreeMarker by adding a `FreeMarkerConfigurer` bean.

#### scriptTemplate

    public UrlBasedViewResolverRegistration scriptTemplate()

Register a script template view resolver with an empty default view name prefix and suffix.

Note that you must also configure script templating by adding a `ScriptTemplateConfigurer` bean.

Since:
  5.0.4

#### viewResolver

    public void viewResolver(ViewResolver viewResolver)

Register a `ViewResolver` bean instance. This may be useful to configure a 3rd party resolver implementation or as an alternative to other registration methods in this class when they don't expose some more advanced property that needs to be set.

#### defaultViews

    public void defaultViews(View... defaultViews)

Set default views associated with any view name and selected based on the best match for the requested content type.

Use `HttpMessageWriterView` to adapt and use any existing `HttpMessageWriter` (e.g. JSON, XML) as a `View`.

#### hasRegistrations

    public boolean hasRegistrations()

Whether any view resolvers have been registered.

#### order

    public void order(int order)

Set the order for the `ViewResolutionResultHandler`.

By default this property is not set, which means the result handler is ordered at `Ordered.LOWEST_PRECEDENCE`.

#### getOrder

    protected int getOrder()

#### getViewResolvers

    protected List<ViewResolver> getViewResolvers()

#### getDefaultViews

    protected List<View> getDefaultViews()